Mir

SocketMessenger::update_session_creds() fails to get client PID, causing "[ FAILED ] PromptSessionClientAPI.client_pid_is_associated_with_session" on kernel 4.4 (but kernel 4.3 works)

Bug #1540731 reported by Daniel van Vugt on 2016-02-02
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
GLibC
New
Undecided
Unassigned
Mir
Invalid
Critical
Unassigned
linux (Ubuntu)
Critical
Joseph Salisbury
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

Since updating to the 4.4.0-2 kernel recvmsg() fails SCM_CREDENTIALS request with EOPNOTSUPP.

This manifests as a test failure in Mir:

    [ RUN ] PromptSessionClientAPI.client_pid_is_associated_with_session
    unknown file: Failure

Test case:

#include <stdlib.h>
#include <stdio.h>
#include <sys/socket.h>
#include <sys/stat.h>
#include <assert.h>
#include <errno.h>
#include <string.h>

int main()
{
    enum { server, client, size };
    int socket_fd[size];
    int const opt = 1;

    assert(socketpair(AF_LOCAL, SOCK_STREAM, 0, socket_fd) == 0);

    char const msg[] = "A random message";
    send(socket_fd[client], msg, sizeof msg, MSG_DONTWAIT | MSG_NOSIGNAL);

    assert(setsockopt(socket_fd[server], SOL_SOCKET, SO_PASSCRED, &opt, sizeof(opt)) != -1);

    union {
        struct cmsghdr cmh;
        char control[CMSG_SPACE(sizeof(ucred))];
    } control_un;

    control_un.cmh.cmsg_len = CMSG_LEN(sizeof(ucred));
    control_un.cmh.cmsg_level = SOL_SOCKET;
    control_un.cmh.cmsg_type = SCM_CREDENTIALS;

    msghdr msgh;
    msgh.msg_name = NULL;
    msgh.msg_namelen = 0;
    msgh.msg_iov = NULL;
    msgh.msg_iovlen = 0;
    msgh.msg_control = control_un.control;
    msgh.msg_controllen = sizeof(control_un.control);

    errno = 0;

    if (recvmsg(socket_fd[server], &msgh, MSG_PEEK) == -1)
    {
        printf("Error: %s\n", strerror(errno));
        exit(EXIT_FAILURE);
    }
    else
    {
        printf("Success!\n");
        exit(EXIT_SUCCESS);
    }
}

===
Kernel-Description: recvmsg() fails SCM_CREDENTIALS request with EOPNOTSUPP.

Daniel van Vugt (vanvugt) wrote :

It appears this has not come from any Mir code change. It happens even with older Mir code. Something in the OS (xenial) has changed to cause this bug.

Daniel van Vugt (vanvugt) wrote :

That's curious. The failing test client_pid_is_associated_with_session and the one above it have identical set up and opposite expectations. Of course one of them should fail. Why did this never happen before??

Changed in mir:
importance: Undecided → High
Alan Griffiths (alan-griffiths) wrote :

It isn't curious, it is expected: when_prompt_provider_connects_over_fd_prompt_provider_added_with_right_pid connects in process (and has the same PID), client_pid_is_associated_with_session starts another process with popen (and has a different PID).

I suspect that you've a broken mir_demo_client_basic

Daniel van Vugt (vanvugt) wrote :

It's not mir_demo_client_basic. I get the same failure from the 0.19.0 release binary in mir-test-tools on xenial. Something about my OS has changed with updates today, it seems. Although that does not mean the test was ever correct. It still looks like one of those tests should fail, because the first half of both seems identical but they have opposite expectations after doing the same setup.

Alan Griffiths (alan-griffiths) wrote :

The expectation tests the PID is supplied by SocketMessenger::creator_creds() - which identifies the process on the other end of the socket - which happens in the test execution.

In when_prompt_provider_connects_over_fd_prompt_provider_added_with_right_pid the socket is connected to DummyPromptProvider and the PID is from the current process.

In byclient_pid_is_associated_with_session the socket is connected to another process (started with popen) and has a different PID.

I'll try updating my OS and see if I can reproduce.

Changed in mir:
status: New → Confirmed
assignee: nobody → Alan Griffiths (alan-griffiths)
Alan Griffiths (alan-griffiths) wrote :

Actually, I misspoke, the PID should be coming from SocketMessenger::update_session_creds()

Alan Griffiths (alan-griffiths) wrote :

OK, since the update recvmsg() is failing with EOPNOTSUPP /* Operation not supported on transport endpoint */

Alan Griffiths (alan-griffiths) wrote :

Simple reproduction of failure:

#include <gtest/gtest.h>
#include <gmock/gmock.h>
#include <sys/socket.h>
#include <sys/stat.h>

TEST(IsItBroken, recvmsg)
{
    using namespace testing;

    enum { server, client, size };
    int socket_fd[size];
    int const opt = 1;

    ASSERT_THAT(socketpair(AF_LOCAL, SOCK_STREAM, 0, socket_fd), Eq(0));

    auto const msg = "A random message";
    send(socket_fd[client], msg, sizeof msg, MSG_DONTWAIT | MSG_NOSIGNAL);

    ASSERT_THAT(setsockopt(socket_fd[server], SOL_SOCKET, SO_PASSCRED, &opt, sizeof(opt)), Ne(-1));

    union {
        struct cmsghdr cmh;
        char control[CMSG_SPACE(sizeof(ucred))];
    } control_un;

    control_un.cmh.cmsg_len = CMSG_LEN(sizeof(ucred));
    control_un.cmh.cmsg_level = SOL_SOCKET;
    control_un.cmh.cmsg_type = SCM_CREDENTIALS;

    msghdr msgh;
    msgh.msg_name = nullptr;
    msgh.msg_namelen = 0;
    msgh.msg_iov = nullptr;
    msgh.msg_iovlen = 0;
    msgh.msg_control = control_un.control;
    msgh.msg_controllen = sizeof(control_un.control);

    errno = 0;

    EXPECT_THAT(recvmsg(socket_fd[server], &msgh, MSG_PEEK), Ne(-1));

    for (auto socket : socket_fd) close(socket);
}

Changed in mir:
importance: High → Critical
summary: - mir_acceptance_tests [ FAILED ]
- PromptSessionClientAPI.client_pid_is_associated_with_session
+ SocketMessenger::update_session_creds() fails to get client PID
description: updated
Changed in mir:
assignee: Alan Griffiths (alan-griffiths) → nobody
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-key performing-bisect
Changed in linux (Ubuntu):
importance: High → Critical
Joseph Salisbury (jsalisbury) wrote :

I'd like to perform a kernel bisect to figure out which commit caused this regression. We need to identify the earliest kernel that did not exhibit the bug and the first kernel that did exhibit the bug.

Can you test the following kernels and post back?

v4.4 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4-wily/
If v4.4 final exhibits the bug, we should move on to testing some of the v4.4 release candidates.

v4.4-rc4: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4-rc4-wily/

If v4.4-rc4 does not exhibit the bug then test v4.4-rc6:
v4.4-rc6: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4-rc6-wily/

If v4.4-rc4 does exhibit the bug then test v4.4-rc2:
v4.4-rc2: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4-rc2-wily/

Thanks in advance!

summary: - SocketMessenger::update_session_creds() fails to get client PID
+ SocketMessenger::update_session_creds() fails to get client PID, causing
+ "[ FAILED ]
+ PromptSessionClientAPI.client_pid_is_associated_with_session"

Test case (anyone with a xenial machine can do this):

$ sudo apt-get install mir-test-tools
$ mir_acceptance_tests --gtest_filter=PromptSessionClientAPI.client_pid_is_associated_with_session

Daniel van Vugt (vanvugt) wrote :

OK, so the kernel team have a simple test case above to bisect the problem with.

Unfortunately you also have to be aware of bug 1541188, which is unrelated and should be considered a PASS as far as we're concerned.

Daniel van Vugt (vanvugt) wrote :

Is this critical? I'm not familiar with prompt sessions, but on my xenial machine I find Unity8 still works even when this bug is present. Does it really affect us in production right now?

Changed in mir:
importance: Critical → High
Nick Dedekind (nick-dedekind) wrote :

It might affect quite a few aspects of phablet. To name a few things that use prompts: Online accounts, payments & anything that requires location services (camera, maps, etc).

So I would say it was fairly critical.

description: updated
Changed in mir:
importance: High → Critical

-final fails
-rc6 fails
-rc4 succeeds

Also "This happens with kernel-4.5.0-0.rc1.git2.1.fc24.x86_64 as well." (from https://sourceware.org/bugzilla/show_bug.cgi?id=19557)

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing, Alan. Can you give 4.5-rc5 a try? It can be downloaded from:
v4.4-rc4: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.4-rc5-wily/

I'll setup a system and see if I can reproduce this. If I can , I'll bisect it.

Changed in linux (Ubuntu):
importance: Critical → High
kevin gunn (kgunn72) wrote :

this is effecting mir-snap work as well

Changed in linux (Ubuntu):
importance: High → Critical
Changed in mir:
status: Confirmed → Opinion
Daniel van Vugt (vanvugt) wrote :

OK, "Invalid" for Mir. But due to the limitations of Launchpad, keep the Mir task open for a while. That way people can find the bug in searches (and avoid duplicate reports).

Changed in mir:
status: Opinion → Confirmed
milestone: 0.20.0 → none

-rc5 succeeds

Changed in linux (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

I can reproduce this bug now, so I'll perform a kernel bisect. This will tell us which commit introduced the regression.

I confirmed -rc5 is good and -rc6 is bad, so I'll bisect between those two versions. I also confirmed the current mainline kernel(v4.5-rc2) also still exhibits this bug.

kevin gunn (kgunn72) wrote :

so currently holding up promotion of mir - so, just noting here (mainly for alan) we're disabling this test on mir 0.19.1 rel, if this bug gets fixed, we should reinstate test if we do a 0.19.2
aiui, we've left it active on devel - so might be fixed by time we do mir0.20 and this will be moot

summary: SocketMessenger::update_session_creds() fails to get client PID, causing
"[ FAILED ]
- PromptSessionClientAPI.client_pid_is_associated_with_session"
+ PromptSessionClientAPI.client_pid_is_associated_with_session" on kernel
+ 4.4 (but kernel 4.3 works)
Joseph Salisbury (jsalisbury) wrote :

This is the commit that introduced this regression in V4.4-rc6:

commit 3822b5c2fc62e3de8a0f33806ff279fb7df92432
Author: Rainer Weikusat <email address hidden>
Date: Wed Dec 16 20:09:25 2015 +0000

    af_unix: Revert 'lock_interruptible' in stream receive code

    With b3ca9b02b00704053a38bfe4c31dbbb9c13595d0, the AF_UNIX SOCK_STREAM
    receive code was changed from using mutex_lock(&u->readlock) to
    mutex_lock_interruptible(&u->readlock) to prevent signals from being
    delayed for an indefinite time if a thread sleeping on the mutex
    happened to be selected for handling the signal. But this was never a
    problem with the stream receive code (as opposed to its datagram
    counterpart) as that never went to sleep waiting for new messages with the
    mutex held and thus, wouldn't cause secondary readers to block on the
    mutex waiting for the sleeping primary reader. As the interruptible
    locking makes the code more complicated in exchange for no benefit,
    change it back to using mutex_lock.

    Signed-off-by: Rainer Weikusat <email address hidden>
    Acked-by: Hannes Frederic Sowa <email address hidden>
    Signed-off-by: David S. Miller <email address hidden>

Joseph Salisbury (jsalisbury) wrote :

I built a Xenial test kernel with this commit reverted. I confirmed this test kernel resolves the bug on my setup. It would be great if others can test this kernel to confirm it resolves the bug. It can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1540731/Commit3822b5cReverted/

Note, with this test kernel, you need to install both the linux-image and linux-image-extra .deb packages.

If it is confirmed reverting this commit solves the bug, I will ping upstream and have this commit reverted or fixed.

Andy Whitcroft (apw) on 2016-02-05
description: updated
Luis Henriques (henrix) on 2016-02-08
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Changed in mir:
status: Confirmed → Invalid
tags: removed: kernel-key
Launchpad Janitor (janitor) wrote :
Download full text (4.0 KiB)

This bug was fixed in the package linux - 4.4.0-4.19

---------------
linux (4.4.0-4.19) xenial; urgency=low

  * update ZFS and SPL to 0.6.5.4 (LP: #1542296)
    - [Config] update spl/zfs version
    - SAUCE: (noup) Update spl to 0.6.5.4-0ubuntu2, zfs to 0.6.5.4-0ubuntu1
    - [Config] reconstruct -- drop links for zfs userspace components
    - [Config] reconstruct -- drop links for zfs userspace components -- restore spec links

  * recvmsg() fails SCM_CREDENTIALS request with EOPNOTSUPP. (LP: #1540731)
    - Revert "af_unix: Revert 'lock_interruptible' in stream receive code"

  * lxc: ADT exercise test failing with linux-4.4.0-3.17 (LP: #1542049)
    - Revert "UBUNTU: SAUCE: apparmor: fix sleep from invalid context"

  * WARNING: at /build/linux-lts-wily-W0lTWH/linux-lts-wily-4.2.0/net/core/skbuff.c:4174 (Travis IB) (LP: #1541326)
    - SAUCE: IB/IPoIB: Do not set skb truesize since using one linearskb

  * backport Microsoft Precision Touchpad palm rejection patch (LP: #1541671)
    - HID: multitouch: enable palm rejection if device implements confidence usage

  * [Ubuntu 16.04] Update qla2xxx driver for POWER (QLogic) (LP: #1541456)
    - qla2xxx: Remove unavailable firmware files
    - qla2xxx: Enable Extended Logins support
    - qla2xxx: Enable Exchange offload support.
    - qla2xxx: Enable Target counters in DebugFS.
    - qla2xxx: Add FW resource count in DebugFS.
    - qla2xxx: Added interface to send explicit LOGO.
    - qla2xxx: Delete session if initiator is gone from FW
    - qla2xxx: Wait for all conflicts before ack'ing PLOGI
    - qla2xxx: Replace QLA_TGT_STATE_ABORTED with a bit.
    - qla2xxx: Remove dependency on hardware_lock to reduce lock contention.
    - qla2xxx: Add irq affinity notification
    - qla2xxx: Add selective command queuing
    - qla2xxx: Move atioq to a different lock to reduce lock contention
    - qla2xxx: Disable ZIO at start time.
    - qla2xxx: Set all queues to 4k
    - qla2xxx: Check for online flag instead of active reset when transmitting responses
    - scsi: qla2xxxx: avoid type mismatch in comparison

  * [Hyper-V] PCI Passthrough (LP: #1541120)
    - x86/irq: Export functions to allow MSI domains in modules
    - genirq/msi: Export functions to allow MSI domains in modules

  * Update lpfc driver to 11.0.0.10 (LP: #1541592)
    - lpfc: Fix FCF Infinite loop in lpfc_sli4_fcf_rr_next_index_get.
    - lpfc: Fix the FLOGI discovery logic to comply with T11 standards
    - lpfc: Fix RegLogin failed error seen on Lancer FC during port bounce
    - lpfc: Fix driver crash when module parameter lpfc_fcp_io_channel set to 16
    - lpfc: Fix crash in fcp command completion path.
    - lpfc: Modularize and cleanup FDMI code in driver
    - lpfc: Fix RDP Speed reporting.
    - lpfc: Fix RDP ACC being too long.
    - lpfc: Make write check error processing more resilient
    - lpfc: Use new FDMI speed definitions for 10G, 25G and 40G FCoE.
    - lpfc: Fix mbox reuse in PLOGI completion
    - lpfc: Fix external loopback failure.
    - lpfc: Add logging for misconfigured optics.
    - lpfc: Delete unnecessary checks before the function call "mempool_destroy"
    - lpfc: Use kzalloc instead of kmalloc
...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released

Now affecting trusty 3.13.0-79-generic (which is what a lot of CI slaves are running today)

Changed in linux (Ubuntu):
status: Fix Released → Confirmed

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=vivid+overlay/336/consoleFull

09:55:24 9: [ RUN ] LP.1540731
09:55:24 9: /��BUILDDIR��/mir-0.20.1+16.04.20160225.1+vivid345bzr3362/tests/acceptance-tests/test_prompt_session_client_api.cpp:672: Failure
09:55:24 9: Value of: recvmsg(socket_fd[server], &msgh, MSG_PEEK)
09:55:24 9: Expected: isn't equal to -1
09:55:24 9: Actual: -1 (of type long)
09:55:24 9: Operation not supported
09:55:24 9: [ FAILED ] LP.1540731 (31 ms)

Changed in linux (Ubuntu):
status: Confirmed → In Progress
tags: added: trusty wily
Joseph Salisbury (jsalisbury) wrote :

Trusty now has the bug because it does not have the revert of commit d45d44e:

Trusty only has the one bad commit:
d9ff970 af_unix: Revert 'lock_interruptible' in stream receive code

Wily has the bad commit and the revert to fix it:
26a432a Revert "af_unix: Revert 'lock_interruptible' in stream receive code"
b7a8f5d af_unix: Revert 'lock_interruptible' in stream receive code

Xenial has the bad commit and the revert to fix it:
d45d44e Revert "af_unix: Revert 'lock_interruptible' in stream receive code"
3822b5c af_unix: Revert 'lock_interruptible' in stream receive code

This may be fixed upstream by the following commit:
commit 1b92ee3d03af6643df395300ba7748f19ecdb0c5
Author: Rainer Weikusat <email address hidden>
Date: Mon Feb 8 18:47:19 2016 +0000

    af_unix: Don't set err in unix_stream_read_generic unless there was an error

Brad Figg (brad-figg) on 2016-03-15
Changed in linux (Ubuntu Trusty):
status: New → Fix Committed
Brad Figg (brad-figg) on 2016-03-15
Changed in linux (Ubuntu Vivid):
status: New → Fix Committed
Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
tags: added: verification-needed-vivid
Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Launchpad Janitor (janitor) wrote :
Download full text (11.0 KiB)

This bug was fixed in the package linux - 3.13.0-85.129

---------------
linux (3.13.0-85.129) trusty; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1558727

  [ Upstream Kernel Changes ]

  * Revert "Revert "af_unix: Revert 'lock_interruptible' in stream receive
    code""

linux (3.13.0-84.128) trusty; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1557596

  [ Upstream Kernel Changes ]

  * Revert "af_unix: Revert 'lock_interruptible' in stream receive code"
    - LP: #1540731
  * seccomp: cap SECCOMP_RET_ERRNO data to MAX_ERRNO
    - LP: #1496073
  * net/mlx4_en: Remove dependency between timestamping capability and
    service_task
    - LP: #1537859
  * net/mlx4_en: Fix HW timestamp init issue upon system startup
    - LP: #1537859
  * x86/mm: Fix slow_virt_to_phys() for X86_PAE again
    - LP: #1549601
  * iw_cxgb3: Fix incorrectly returning error on success
    - LP: #1557191
  * EVM: Use crypto_memneq() for digest comparisons
    - LP: #1557191
  * x86/entry/compat: Add missing CLAC to entry_INT80_32
    - LP: #1557191
  * iio: dac: mcp4725: set iio name property in sysfs
    - LP: #1557191
  * iommu/vt-d: Fix 64-bit accesses to 32-bit DMAR_GSTS_REG
    - LP: #1557191
  * PCI/AER: Flush workqueue on device remove to avoid use-after-free
    - LP: #1557191
  * libata: disable forced PORTS_IMPL for >= AHCI 1.3
    - LP: #1557191
  * mac80211: start_next_roc only if scan was actually running
    - LP: #1557191
  * mac80211: Requeue work after scan complete for all VIF types.
    - LP: #1557191
  * rfkill: fix rfkill_fop_read wait_event usage
    - LP: #1557191
  * crypto: shash - Fix has_key setting
    - LP: #1557191
  * drm/i915/dp: fall back to 18 bpp when sink capability is unknown
    - LP: #1557191
  * target: Fix WRITE_SAME/DISCARD conversion to linux 512b sectors
    - LP: #1557191
  * crypto: algif_hash - wait for crypto_ahash_init() to complete
    - LP: #1557191
  * iio: inkern: fix a NULL dereference on error
    - LP: #1557191
  * intel_scu_ipcutil: underflow in scu_reg_access()
    - LP: #1557191
  * ALSA: seq: Fix race at closing in virmidi driver
    - LP: #1557191
  * ALSA: rawmidi: Remove kernel WARNING for NULL user-space buffer check
    - LP: #1557191
  * ALSA: pcm: Fix potential deadlock in OSS emulation
    - LP: #1557191
  * ALSA: seq: Fix yet another races among ALSA timer accesses
    - LP: #1557191
  * ALSA: timer: Fix link corruption due to double start or stop
    - LP: #1557191
  * libata: fix sff host state machine locking while polling
    - LP: #1557191
  * cputime: Prevent 32bit overflow in time[val|spec]_to_cputime()
    - LP: #1557191
  * ASoC: dpcm: fix the BE state on hw_free
    - LP: #1557191
  * module: wrapper for symbol name.
    - LP: #1557191
  * ALSA: hda - Add fixup for Mac Mini 7,1 model
    - LP: #1557191
  * ALSA: Move EXPORT_SYMBOL() in appropriate places
    - LP: #1557191
  * ALSA: rawmidi: Make snd_rawmidi_transmit() race-free
    - LP: #1557191
  * ALSA: rawmidi: Fix race at copying & updating the position
    - LP: #1557191
  * ALSA: seq: Fix lockdep warnings due to double mutex locks
    - LP: #1557191
  * drivers/scsi/sg.c: mark VMA as VM_IO...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (15.2 KiB)

This bug was fixed in the package linux - 3.19.0-58.64

---------------
linux (3.19.0-58.64) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1558701

  [ Upstream Kernel Changes ]

  * Revert "Revert "af_unix: Revert 'lock_interruptible' in stream receive
    code""

linux (3.19.0-57.63) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1557623

  [ Kamal Mostafa ]

  * [Config] updateconfigs after 3.19.8-ckt16 stable update

  [ Upstream Kernel Changes ]

  * Revert "ALSA: hda - Fix noise on Gigabyte Z170X mobo"
    - LP: #1556297
  * Revert "af_unix: Revert 'lock_interruptible' in stream receive code"
    - LP: #1540731
  * iw_cxgb3: Fix incorrectly returning error on success
    - LP: #1556297
  * EVM: Use crypto_memneq() for digest comparisons
    - LP: #1556297
  * x86/entry/compat: Add missing CLAC to entry_INT80_32
    - LP: #1556297
  * iio: add HAS_IOMEM dependency to VF610_ADC
    - LP: #1556297
  * iio: dac: mcp4725: set iio name property in sysfs
    - LP: #1556297
  * iommu/vt-d: Fix 64-bit accesses to 32-bit DMAR_GSTS_REG
    - LP: #1556297
  * ASoC: rt5645: fix the shift bit of IN1 boost
    - LP: #1556297
  * cgroup: make sure a parent css isn't offlined before its children
    - LP: #1556297
  * PCI/AER: Flush workqueue on device remove to avoid use-after-free
    - LP: #1556297
  * libata: disable forced PORTS_IMPL for >= AHCI 1.3
    - LP: #1556297
  * mac80211: Requeue work after scan complete for all VIF types.
    - LP: #1556297
  * rfkill: fix rfkill_fop_read wait_event usage
    - LP: #1556297
  * ARM: dts: at91: sama5d4: fix instance id of DBGU
    - LP: #1556297
  * crypto: shash - Fix has_key setting
    - LP: #1556297
  * drm/i915/dp: fall back to 18 bpp when sink capability is unknown
    - LP: #1556297
  * ALSA: usb-audio: Fix OPPO HA-1 vendor ID
    - LP: #1556297
  * ALSA: usb-audio: Add native DSD support for PS Audio NuWave DAC
    - LP: #1556297
  * target: Fix WRITE_SAME/DISCARD conversion to linux 512b sectors
    - LP: #1556297
  * crypto: algif_hash - wait for crypto_ahash_init() to complete
    - LP: #1556297
  * iio: inkern: fix a NULL dereference on error
    - LP: #1556297
  * iio: pressure: mpl115: fix temperature offset sign
    - LP: #1556297
  * intel_scu_ipcutil: underflow in scu_reg_access()
    - LP: #1556297
  * ALSA: seq: Fix race at closing in virmidi driver
    - LP: #1556297
  * ALSA: rawmidi: Remove kernel WARNING for NULL user-space buffer check
    - LP: #1556297
  * ALSA: pcm: Fix potential deadlock in OSS emulation
    - LP: #1556297
  * ALSA: seq: Fix yet another races among ALSA timer accesses
    - LP: #1556297
  * ALSA: timer: Code cleanup
    - LP: #1556297
  * ALSA: timer: Fix link corruption due to double start or stop
    - LP: #1556297
  * libata: fix sff host state machine locking while polling
    - LP: #1556297
  * MIPS: Fix buffer overflow in syscall_get_arguments()
    - LP: #1556297
  * cputime: Prevent 32bit overflow in time[val|spec]_to_cputime()
    - LP: #1556297
  * drm: add helper to check for wc memory support
    - LP: #1556297
  * drm/radeon: mask out WC from BO on unsupported arches
    - LP: #1556297
  * ASoC: ...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
tags: added: verification-done-trusty verification-done-vivid
removed: verification-needed-trusty verification-needed-vivid
Changed in linux (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.